unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DB, DBTables, Grids, DBGrids, ExtCtrls, DBCtrls, Menus;

type
  TMainForm = class(TForm)
    DataSource1: TDataSource;
    DBNavigator1: TDBNavigator;
    DBGrid1: TDBGrid;
    Table1: TTable;
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    N4: TMenuItem;
    N5: TMenuItem;
    N6: TMenuItem;
    N8: TMenuItem;
    N9: TMenuItem;
    N10: TMenuItem;
    N11: TMenuItem;
    OpenDialog1: TOpenDialog;
    procedure N5Click(Sender: TObject);
    procedure N3Click(Sender: TObject);
    procedure N2Click(Sender: TObject);
    procedure N8Click(Sender: TObject);
    procedure N10Click(Sender: TObject);
    procedure N11Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

uses About, SQLDlg, SQLRes;

{$R *.DFM}

procedure TMainForm.N5Click(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.N3Click(Sender: TObject);
begin
  Table1.Refresh;
end;

procedure TMainForm.N2Click(Sender: TObject);
begin
  Table1.Active:=False;
  if OpenDialog1.Execute then
    Table1.TableName:=OpenDialog1.FileName;
  Table1.Active:=True;
end;

procedure TMainForm.N8Click(Sender: TObject);
begin
  AboutBox.Show;
end;

procedure TMainForm.N10Click(Sender: TObject);
begin
  SQLDialog.Show;
end;

procedure TMainForm.N11Click(Sender: TObject);
begin
  SQLResult.Show;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  OpenDialog1.FileName:='Master';
end;

end.
